# Get All Transactions **GET /v2/transactions** Returns a full list of transactions owned by the authenticated user. Supports filter params ($orderDir, $skip, $take, $orderBy). ## Servers - https://api.pre.transactiondesk.com: https://api.pre.transactiondesk.com () ## Authentication methods - Bearer auth ## Parameters ### Query parameters - **$orderDir** (string) Sort direction - **$skip** (integer) Number of records to skip (pagination) - **$take** (integer) Number of records to return (max 100) - **$orderBy** (string) Field to order by ## Responses ### 200 List of transactions returned successfully #### Body: application/json (array[object]) - **id** (string(uuid)) TransactionGUID used to uniquely identify this specific Transaction - **name** (string) Name of the transaction file as it appears in the application - **statusId** (string(uuid)) TransactionStatusGUID. See Glossary for values. - **typeId** (string(uuid)) TransactionTypeGUID. See Glossary for values. - **ownerId** (string(uuid)) OwnerID of this Transaction File - **dateCreated** (string(date-time)) - **lastModified** (string(date-time)) ### 401 Unauthorized #### Body: application/json (object) - **code** (integer) - **message** (string) - **details** (array) - **data** () [Powered by Bump.sh](https://bump.sh)